<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:c="http://java.sun.com/jstl/core"
	xmlns:cc="http://java.sun.com/jsf/composite">
    
    <gri:menu name="CDAGenerator" homeURL="/CDAGenerator/">
		<f:facet name="logo">
			<h:graphicImage value="/img/gazelle.png" />
		</f:facet>
		
		
		<gri:menuItem rendered="#{applicationConfiguration.enableToolsMenu()}">
			<h:outputText value="#{messages['net.ihe.gazelle.cdagen.Tools']}" />
			
			<gri:menuItem>
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.EpSOS']}" />
				
				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/dispgenerator/dispensation.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.GenerateEDispensation']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-files-o"  url="/CDAGenerator/dispgenerator/cdaGenerated.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ListEDispensationGenerated']}"/>
				</gri:menuItem>
				
			</gri:menuItem>
		</gri:menuItem>
			
		<gri:menuItem>
			<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDADocumentation']}"/>
			
			<gri:menuItem icon="gzl-icon-book"  url="/CDAGenerator/cdaObjectType/listCDAObjectType.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAFileType']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-book"  url="/CDAGenerator/indexCDA.html" target="_blank">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAContentDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-book"  url="/CDAGenerator/docum/templates/listTemplates.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDATemplatesDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-book"  url="/CDAGenerator/docum/classes/listClasses.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAClassesDocumentation']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-book"  url="/CDAGenerator/docum/constraints/constraints.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ConstraintsSearch']}"/>
			</gri:menuItem>
			
		</gri:menuItem>
		
		<gri:menuItem>
			<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAGeneration']}"/>
			
			<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/editor/editor.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDAEdition']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-files-o"  url="/CDAGenerator/editor/samples.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.CDASamples_2']}"/>
			</gri:menuItem>
			
		</gri:menuItem>
		
		<gri:menuItem rendered="#{s:hasRole('admin_role')}">
			<h:outputText value="#{messages['net.ihe.gazelle.cdagen.HL7TemplatesValidation_2']}"/>
			
			<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/hl7templates/hl7validation.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.Validate']}"/>
			</gri:menuItem>
			
			<gri:menuItem icon="gzl-icon-files-o"  url="/CDAGenerator/hl7templates/hl7validations.seam">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ListValidations']}"/>
			</gri:menuItem>
			
		</gri:menuItem>
			
		
		<f:facet name="right">
		
			<gri:menuItem rendered="#{s:hasRole('admin_role')}">
				<h:outputText value="#{messages['net.ihe.gazelle.cdagen.Administration']}"/>
				
				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/docum/upload/uploadConstraints.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ConstraintsAdmin']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/docum/packages/missingAssertions.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ConstraintsWithNoAssertions']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="fa fa-wrench"  url="/CDAGenerator/admin/applicationConfiguration.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.cdagen.ApplicationPreferencesManagement']}"/>
				</gri:menuItem>

				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/admin/buildingBlockRepository/list.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.BuildingBlockRepository']}"/>
				</gri:menuItem>

				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/admin/validatorAssociation/list.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.ValidatorsPackages']}"/>
				</gri:menuItem>
				
				<gri:menuItem icon="gzl-icon-gears"  url="/CDAGenerator/admin/templatesContainment/list.seam">
					<h:outputText value="#{messages['net.ihe.gazelle.TemplatesContainmentManager']}"/>
				</gri:menuItem>
				
			</gri:menuItem>

			<ui:include src="/layout/_login_menu.xhtml"/>

		</f:facet>
		
	</gri:menu>
</ui:composition>
